package fr.itsonus.bousoleplussbackend.controllers;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.QuizDetailed;
import fr.itsonus.bousoleplussbackend.usecase.QuestionUseCase;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/questions")
@AllArgsConstructor
public class QuestionController {

    private final QuestionUseCase questionUseCase;

    @GetMapping("search/defaults")
    public List<Question> findDefaultsByAxeId(@RequestParam Long axeId) {
        return questionUseCase.findDefaults(axeId);
    }

    @GetMapping("search")
    public Page<Question> findAllByAxeId(@RequestParam Long axeId, Pageable pageable) {
        return questionUseCase.findAllByAxeId(axeId, pageable);
    }
}
